﻿#include "widget.h"

#include <QApplication>

#include "common.h"
#include "EasySpdLog.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    // 初始化日志类
    auto loggerPath = QString(QApplication::applicationDirPath() + "/logs/log.log").toLocal8Bit();
    SetLogger(loggerPath.data());
    // 加载配置文件
    QString filePath = QApplication::applicationDirPath() + "/config";
    Common::GetInstance()->loadConfig(filePath);
    //
    Widget w;
    w.move(0, 0);
    w.show();
    return a.exec();
}
